using System;
using System.Threading;
using System.Collections;
using System.Runtime.Serialization;
using System.Runtime.Remoting;
using ARCobjectNamespace;
using System.Runtime.Remoting.Channels;
using UserInterface_FTSService; 
using System.Runtime.Remoting.Channels.Tcp;
namespace ARCobjectApp
{

	public class Class1
	{
        [STAThread]
        public static void Main()
		{
			//TcpChannel chan = new TcpChannel(8106);
			//ChannelServices.RegisterChannel(chan);
            BinaryServerFormatterSinkProvider provider = new BinaryServerFormatterSinkProvider();
            provider.TypeFilterLevel = System.Runtime.Serialization.Formatters.TypeFilterLevel.Full;
            IDictionary props = new Hashtable();
            props["port"] = 8085;
            TcpChannel chan = new TcpChannel(props, null, provider);
            ChannelServices.RegisterChannel(chan,false);
            UserInterface_HPFServer.IUser hpfserver = (UserInterface_HPFServer.IUser)Activator.GetObject(typeof(UserInterface_HPFServer.IUser),"tcp://localhost:9123/HPFServerClass");
			UserInterface_HPFValue.IUser hpfv = hpfserver.getHPFValue("10.129.240.122");
			Console.WriteLine("{0}",hpfv.HPF());
            Console.ReadLine();

			ARCobjectGeneratedInterfaces.IContainer arcobject = Factory.New();
			
			//UserInterface_FTSService.IUser ftsserver = (UserInterface_FTSService.IUser)Activator.GetObject(typeof(UserInterface_FTSService.IUser),"tcp://localhost:9123/FTSServiceClass");
			//ftsserver.Register(arcobject,-1);
			//arcobject.showscreen();
            //arcobject.setData("x", "y", 5, 10);
			Console.WriteLine("before push");
            arcobject.showscreen();
			arcobject.push(hpfv);
            Console.WriteLine("after push");
			//Thread.Sleep(100000);
			//arcobject.connect();
			//arcobject.netHello();
			//UserInterface_HPFValue.IUser mach11 = hpfserver.getHPFValue("10.105.24.10");
			//arcobject.push(mach11);
			//arcobject.unblock();
			//arcobject.sync();
			//Console.WriteLine("after push");
			//arcobject.showscreen();
			//Thread.Sleep(30000);
			//arcobject.GracefulRetract();
			arcobject.sync();
            Console.WriteLine("object arrived back");
			//Console.WriteLine("the end {0}",arcobject.getInt());
		}
	}
}
